Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.servicegen
Interface ServiceImpl

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ServiceImpl

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Service Impl'. [[ TODO - add documentation here ]]

The following features are supported:

- `Provides`
- `Service Component`
- `Impl Cartridge`

See Also:
  `ServicegenPackage.getServiceImpl()`

Method Summary
`LogicImplCartridge` | `getImplCartridge()` Returns the value of the 'Impl Cartridge' containment reference
`ServiceDef` | `getProvides()` Returns the value of the 'Provides' reference
`ServiceComponent` | `getServiceComponent()` Returns the value of the 'Service Component' containment reference
`void` | `setImplCartridge(LogicImplCartridge value)` Sets the value of the '`Impl Cartridge`' containment reference
`void` | `setProvides(ServiceDef value)` Sets the value of the '`Provides`' reference
`void` | `setServiceComponent(ServiceComponent value)` Sets the value of the '`Service Component`' containment reference

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getProvides

    ServiceDef getProvides()

  Returns the value of the 'Provides' reference.

  If the meaning of the 'Provides' reference isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Provides' reference.
  See Also:
    `setProvides(ServiceDef)`, `ServicegenPackage.getServiceImpl_Provides()`

### setProvides

    void setProvides(ServiceDef value)

  Sets the value of the '`Provides`' reference.

  Parameters:
    `value` - the new value of the 'Provides' reference.
  See Also:
    `getProvides()`

### getServiceComponent

    ServiceComponent getServiceComponent()

  Returns the value of the 'Service Component' containment reference.

  If the meaning of the 'Service Component' containment reference isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Service Component' containment reference.
  See Also:
    `setServiceComponent(ServiceComponent)`, `ServicegenPackage.getServiceImpl_ServiceComponent()`

### setServiceComponent

    void setServiceComponent(ServiceComponent value)

  Sets the value of the '`Service Component`' containment reference.

  Parameters:
    `value` - the new value of the 'Service Component' containment reference.
  See Also:
    `getServiceComponent()`

### getImplCartridge

    LogicImplCartridge getImplCartridge()

  Returns the value of the 'Impl Cartridge' containment reference.

  If the meaning of the 'Impl Cartridge' containment reference isn't clear, there really should be more of a description here...

  [[ TODO - add documentation here ]]

  Returns:
    the value of the 'Impl Cartridge' containment reference.
  See Also:
    `setImplCartridge(LogicImplCartridge)`, `ServicegenPackage.getServiceImpl_ImplCartridge()`

### setImplCartridge

    void setImplCartridge(LogicImplCartridge value)

  Sets the value of the '`Impl Cartridge`' containment reference.

  Parameters:
    `value` - the new value of the 'Impl Cartridge' containment reference.
  See Also:
    `getImplCartridge()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD